package com.oo.seex.oo_statistics_lib.bean;


import com.oo.seex.oo_statistics_lib.utils.xutils_dbutils.db.annotation.Id;

/**
 * Created by efort on 15/7/31.
 */
public class ErrorStaBean {
    @Id
    private int id;
    private String stacktrace;
    private String time;
    private String activity;
    private String appkey;
    private String channel;
    private String os_version;
//    private String clientdata_id;
    private String device_id;
    private String userId;
    private String version;

    public String getStacktrace() {
        return stacktrace;
    }

    public void setStacktrace(String stacktrace) {
        this.stacktrace = stacktrace;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getActivity() {
        return activity;
    }

    public void setActivity(String activity) {
        this.activity = activity;
    }

    public String getAppkey() {
        return appkey;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    public String getOs_version() {
        return os_version;
    }

    public void setOs_version(String os_version) {
        this.os_version = os_version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getVersion() {
        return version;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

//    public String getClientdata_id() {
//        return clientdata_id;
//    }
//
//    public void setClientdata_id(String clientdata_id) {
//        this.clientdata_id = clientdata_id;
//    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getDevice_id() {
        return device_id;
    }

    public void setDevice_id(String device_id) {
        this.device_id = device_id;
    }
}
